**Full name**: projects.locations.ragCorpora.patch

Updates a RagCorpus.

### Endpoint

patch `https://{service-endpoint}/v1/{ragCorpus.name}`   
`PATCH https://{service-endpoint}/v1/{ragCorpus.name}`

Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`ragCorpus.name` `string` Output only. The resource name of the RagCorpus.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.ragCorpora#RagCorpus`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `aiplatform.ragCorpora.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).